Subject: Re: [ANNOUNCEMENT] Updated Cygwin Package: procmail-3.22-7
From: Jason Tishler <[email-masked]>
To: Jim George <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 30 Aug 2002 12:50:10 -0400

Jim,

Reply-all?

On Fri, Aug 30, 2002 at 04:51:19PM +0100, Jim George wrote:
> ----- Original Message -----
> From: "Jason Tishler" <[email-masked]>
> To: <[email-masked]>
> Sent: Friday, August 30, 2002 2:59 AM
> Subject: Re: [ANNOUNCEMENT] Updated Cygwin Package: procmail-3.22-7
> 
> > On Thu, Aug 29, 2002 at 11:58:11PM +0100, Jim George wrote:
> > > At this point I logged in from another box on my network and this
> > > is where things got screwy.  In my console window everything
> > > showed as ..
> > >
> > > total 20
> > > -rwxrwxrwx    1 SYSTEM   SYSTEM          0 Aug 29 23:33 Administrator
> > >
> > > From my remote window (using rlogin from another cygwin box) the
> > > same files showed thus...
> > > total 20
> > >
> > > -rw-r--r--    1 Administ Administ        0 Aug 29 23:33 Administrator
> > >
> > > Notice anything strange?
> >
> > Yes, it appears that ntsec is set when you login on the console but
> > not when you run under the LocalSystem account.  Does chown work
> > when your rlogin?
> >
> > > Please can you tell me how I get myself out of this pickle?
> >
> > How do you set your CYGWIN variable?  And, do you set it on a system
> > or per user basis?  I recommend setting it for the system via:
> >
> >     Control Panel/System/Advanced/Environment Variables.../System variables
> >
> > > I thought I would start from a level playing field so I removed
> > > all BOGUS files and restarted fetchmail as SYSTEM.  In these
> > > circumstances procmail (according to the manual) is supposed to
> > > wake up and create the correct filename (called $LOGNAME) with the
> > > correct permissions.  However when I did an ls I noticed that the
> > > Administrator file was owned by SYSTEM.SYSTEM and the fetchmail
> > > log complained again about a BOGUS mail file.
> >
> > BTW, the above works correctly for me.  This is how I created my
> > root mailbox in the first place.  procmail did not start to complain
> > until I intentionally whacked the permissions.
> 
> Thank you sir.

You are welcome.

> By making CYGWIN a System variable on the mailserver and then
> rebooting (didn't work 'till I did),

Yes, I forgot to mention that the SCM won't recognize environment
variable changes without a reboot.

> fetchmail/procmail are behaving correctly.

Good.  You have the "honor" of being the first Cygwin user of this
feature... :,)

> However the remote console still shows different owners/permissions
> when I login in remotely.  But I am able to correctly
> chown/chmod/chgrp the server files (even though they look wrong from
> the remote terminal!!!).

Sorry, I'm going to bow out now...

> On the basis of 'if it ain't broke...' I'm going to quit while I'm
> ahead now.
> 
> But if you/anyone has any more ideas as to the descrepencies between
> systems I would be mighty pleased to hear from you.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/